SWAB(3)

NAME
swab - swap adjacent bytes

SYNOPSIS
#include <unistd.h>
void
swab(const void *restrict src, void *restrict dst, ssize_t len);

DESCRIPTION
The swab() function copies len bytes from the location referenced by src to the location referenced by dst, swapping adjacent bytes.

If len is zero or less, swab() does nothing. If it is odd, what happens to the last byte is unspecified. If src and dst overlap, behaviour is undefined.

SEE ALSO
bzero(3), memset(3)

STANDARDS
The swab() function is compliant with the X/Open System Interfaces option of the p1003.1-2008 specification.

HISTORY
The swab() function first appeared in AT&T UNIX.